# Class Number

java.lang.Object
java.lang.Number

Direct Known Subclasses:
  `Byte, Double, Float, Integer, Long, Short`

public abstract class Number extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Number()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `byteValue()`
  `abstract double`
  `doubleValue()`
  `abstract float`
  `floatValue()`
  `abstract int`
  `intValue()`
  `abstract long`
  `longValue()`
  `short`
  `shortValue()`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Number

    public Number()

- ## Method Details

  - ### intValue

    public abstract int intValue()

  - ### byteValue

    public byte byteValue()

  - ### longValue

    public abstract long longValue()

  - ### floatValue

    public abstract float floatValue()

  - ### doubleValue

    public abstract double doubleValue()

  - ### shortValue

    public short shortValue()